Bug 977040 - [abrt] WARNING: at net/core/skbuff.c:3439 skb_try_coalesce+0x3c4/0x430()
[abrt] WARNING: at net/core/skbuff.c:3439 skb_try_coalesce+0x3c4/0x430()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:292077d395600078c45d2c4fe3f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-22 17:06 EDT by Felix Kaechele
Modified: 2013-07-18 02:11 EDT (History)
7 users (show)

See Also:
Fixed In Version: kernel-3.9.10-100.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-05 20:58:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (82.69 KB, text/plain)
2013-06-22 17:06 EDT, Felix Kaechele
no flags Details

  None (edit)
Description Felix Kaechele 2013-06-22 17:06:27 EDT
Additional info:
reporter:       libreport-2.1.5
WARNING: at net/core/skbuff.c:3439 skb_try_coalesce+0x3c4/0x430()
Hardware name: 64608YG
Modules linked in: tcp_lp fuse ebtable_nat nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables rfcomm ip6table_filter ip6_tables bnep acpi_cpufreq mperf coretemp kvm_intel kvm arc4 iTCO_wdt iTCO_vendor_support iwl4965 iwlegacy btusb bluetooth mac80211 snd_hda_codec_analog microcode joydev cfg80211 i2c_i801 r592 memstick sdhci_pci sdhci mmc_core snd_hda_intel snd_hda_codec snd_hwdep snd_seq lpc_ich mfd_core thinkpad_acpi e1000e snd_seq_device ptp rfkill pps_core snd_pcm snd_page_alloc snd_timer snd soundcore tpm_tis tpm tpm_bios uinput nouveau firewire_ohci mxm_wmi i2c_algo_bit firewire_core drm_kms_helper crc_itu_t ttm yenta_socket drm i2c_core wmi video
Pid: 10373, comm: Socket Thread Not tainted 3.9.5-301.fc19.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8105cc26>] warn_slowpath_common+0x66/0x80
 [<ffffffff8105ccfa>] warn_slowpath_null+0x1a/0x20
 [<ffffffff8152fb64>] skb_try_coalesce+0x3c4/0x430
 [<ffffffff8158411d>] tcp_try_coalesce.part.39+0x2d/0x90
 [<ffffffff81584e48>] tcp_queue_rcv+0xf8/0x130
 [<ffffffff81587a7a>] tcp_data_queue+0x27a/0xcb0
 [<ffffffff8158b304>] tcp_rcv_established+0x1b4/0x8a0
 [<ffffffff8128e156>] ? security_sock_rcv_skb+0x16/0x20
 [<ffffffff816094d5>] tcp_v6_do_rcv+0x2d5/0x690
 [<ffffffff81609e2f>] tcp_v6_rcv+0x59f/0x8e0
 [<ffffffff81567ecb>] ? nf_iterate+0x8b/0xa0
 [<ffffffff815e3540>] ? ip6_rcv_finish+0x90/0x90
 [<ffffffff815e3611>] ip6_input_finish+0xd1/0x410
 [<ffffffff815e3db2>] ip6_input+0x22/0x60
 [<ffffffff815e3530>] ip6_rcv_finish+0x80/0x90
 [<ffffffff815e3c03>] ipv6_rcv+0x2b3/0x440
 [<ffffffff8153ad52>] __netif_receive_skb_core+0x622/0x7f0
 [<ffffffff8153af38>] __netif_receive_skb+0x18/0x60
 [<ffffffff8153afb3>] netif_receive_skb+0x33/0xb0
 [<ffffffffa0404158>] ieee80211_deliver_skb.isra.27+0x98/0x210 [mac80211]
 [<ffffffffa040555d>] ieee80211_rx_handlers+0xb9d/0x2050 [mac80211]
 [<ffffffff81094cb8>] ? __enqueue_entity+0x78/0x80
 [<ffffffff810993d9>] ? enqueue_entity+0x289/0xb20
 [<ffffffffa0406e84>] ieee80211_prepare_and_rx_handle+0x474/0xa70 [mac80211]
 [<ffffffffa040776d>] ieee80211_rx+0x2ed/0x840 [mac80211]
 [<ffffffffa04bae1b>] il4965_hdl_rx+0x56b/0x6b0 [iwl4965]
 [<ffffffff81091239>] ? try_to_wake_up+0x1e9/0x2d0
 [<ffffffffa04c3bb5>] il4965_rx_handle+0x235/0x5a0 [iwl4965]
 [<ffffffffa04c43d6>] il4965_irq_tasklet+0x4b6/0x710 [iwl4965]
 [<ffffffff8106548e>] tasklet_action+0x6e/0x110
 [<ffffffff8106561f>] __do_softirq+0xef/0x230
 [<ffffffff810658e5>] irq_exit+0xa5/0xb0
 [<ffffffff816503d6>] do_IRQ+0x56/0xc0
 [<ffffffff8164662d>] common_interrupt+0x6d/0x6d
 <EOI>
Comment 1 Felix Kaechele 2013-06-22 17:06:34 EDT
Created attachment 764182 [details]
File: dmesg
Comment 2 Stanislaw Gruszka 2013-07-03 08:10:51 EDT
There is patch for this bug (and another one, original fix from Eric, to fix similar issue on 3945):

http://marc.info/?l=linux-wireless&m=137268102731629&w=2
http://marc.info/?l=linux-wireless&m=137243191023536&w=2

Josh, please apply them. Thanks.
Comment 3 Josh Boyer 2013-07-03 08:36:09 EDT
Applied to all branches.  Thanks!
Comment 4 Fedora Update System 2013-07-04 12:57:32 EDT
kernel-3.9.9-301.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.9.9-301.fc19
Comment 5 Fedora Update System 2013-07-04 22:04:58 EDT
Package kernel-3.9.9-301.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.9.9-301.fc19'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12339/kernel-3.9.9-301.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-07-05 15:03:21 EDT
kernel-3.9.9-201.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.9.9-201.fc18
Comment 7 Fedora Update System 2013-07-05 20:58:30 EDT
kernel-3.9.9-301.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-07-11 23:09:04 EDT
kernel-3.9.9-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-07-14 07:24:02 EDT
kernel-3.9.10-100.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.9.10-100.fc17
Comment 10 Fedora Update System 2013-07-18 02:11:41 EDT
kernel-3.9.10-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.